Subject: Re: survivability, rewriting

From: masataka ohta <[email-masked]>
Date: Mon, 03 Nov 2003 16:52:13 +0900

marcelo;

>>Is that true when you have a tree of reseller ISPs?
>>
>>For instance
>>
>>		DFZ
>>	    /     |    \
>>	 ISP1	ISP2	ISP3
>>	/  \    /   \  /   \
>> ISPA  ISPB      ISPC   ISPD
>>	      \      /
>>	       my site
>>
>>
> 
> 
> Good question IMHO...

It is a case addressed in draft-ohta-multihomed-isps-00.txt.

> But IMHO this is not how provider multihoming will be. IMHO ISPs will be
> able to get a /32 each one, especially those ISP that are multi-homed to
> multilpe upstream providers.

That you are trying to reserve space for 2^32 (or 2^29) such ISPs
means that you must expect that many routing table entries, which
is no acceptable.

						Masataka Ohta

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 3 Nov 2003 10:51:24 +0100 (CET)

> I assume that in your example above you are considering the case where ISPA
> obtains addresses form ISP1 and ISPB from (ISP1 and ISP2), and ISPC from
> (ISP2 and ISP3), right?

Yep.

> This implies that my site has 4 prefixes and in that case source address
> based routing is also required in ISPB and ISPC, correct?

That is what it would seem to imply; if you want to be able to use the source
address as a way to select between the "upper layer" ISPs to whom
the site isn't directly connected.

> multilpe upstream providers.

That is an address allocation policy issue and I don't think the answer
is that obvious. If anybody that says "I'm an ISP" can get a /32
then I can get one for my house since I provide network service for
all members of my family - hence I'm an ISP! :-)

To avoid giving everybody a /32 that asks there has to be some notion of
size taken into account in the policy. This means that a neighborhood
ISP might not be able to get a /32 - and for good reasons.

I think it would be shortsighted to assume that the word in which a multihoming
solution exists only consists of sites and of ISPs large enough to warrant a
/32 allocation. Perhaps that will be the future, but keeping the door open for
the existance of smaller ISPs would make a lot of sense to me.

  Erik